GNU bug report logs - #3360
gtk daemon close display hang

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Oscar Fuentes" <ofv@HIDDEN>; merged with #5386; dated Sun, 24 May 2009 03:40:05 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Changed bug title to 'gtk daemon close display hang' from '23.0.94; emacs daemon hangs when remote X session closes.' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3360 5386. Request was from Chong Yidong <cyd@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 3360@HIDDEN:


Received: (at 3360) by emacsbugs.donarmstrong.com; 24 May 2009 15:11:34 +0000
From oscarfv@HIDDEN Sun May 24 08:11:34 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from ctsmtpout3.frontal.correo (outmailhost.telefonica.net [213.4.149.242])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n4OFBTLb011298
	for <3360@HIDDEN>; Sun, 24 May 2009 08:11:30 -0700
Received: from qcore (83.40.116.35) by ctsmtpout3.frontal.correo (7.2.056.6) (authenticated as 981711563$telefonica.net)
        id 4A080B4A003135DA for 3360@HIDDEN; Sun, 24 May 2009 17:11:23 +0200
From: =?windows-1252?Q?=D3scar_Fuentes?= <ofv@HIDDEN>
To: 3360 <at> debbugs.gnu.org
Subject: Re: bug#3360: Acknowledgement (23.0.94; emacs daemon hangs when remote X session closes.)
References: <87k547gon7.fsf@HIDDEN>
	<handler.3360.B.124313607530701.ack@HIDDEN>
Date: Sun, 24 May 2009 17:11:21 +0200
Message-ID: <87iqjqtu1y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.94 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: quoted-printable

Emacs crashes too if `make-frame-on-display' is used on a non-daemonized
emacs, when the remote frame is closed.

The problem seems related to

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D1493#62

as it goes away when emacs is configured with --with-x-toolkit=3Dlucid

(not with --enable-toolkit=3Dlucid as the referenced message says).

However, GTK is the default toolkit picked on my install. Since the
upgrade to Kubuntu 9.04, which includes KDE 4.2, changing the setting of
"GTK styles and fonts" to "Raleigh" no longer fixes the crash.

--=20
=D3scar



Acknowledgement sent to Óscar Fuentes <ofv@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3360; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 24 May 2009 03:34:35 +0000
From oscarfv@HIDDEN Sat May 23 20:34:35 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.0 required=4.0 tests=AWL,FOURLA autolearn=no
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n4O3YSi0030693
	for <submit@HIDDEN>; Sat, 23 May 2009 20:34:30 -0700
Received: from mail.gnu.org ([199.232.76.166]:47883 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <oscarfv@HIDDEN>)
	id 1M84Tk-0002ec-0f
	for emacs-pretest-bug@HIDDEN; Sat, 23 May 2009 23:34:28 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <oscarfv@HIDDEN>)
	id 1M84Tg-0006pV-9J
	for emacs-pretest-bug@HIDDEN; Sat, 23 May 2009 23:34:27 -0400
Received: from outmailhost.telefonica.net ([213.4.149.242]:64231 helo=ctsmtpout4.frontal.correo)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <oscarfv@HIDDEN>)
	id 1M84Tf-0006pF-Qh
	for emacs-pretest-bug@HIDDEN; Sat, 23 May 2009 23:34:24 -0400
Received: from qcore (88.24.231.46) by ctsmtpout4.frontal.correo (7.2.056.6) (authenticated as 981711563$telefonica.net)
        id 4A13D9BC000C1DBD for emacs-pretest-bug@HIDDEN; Sun, 24 May 2009 05:34:21 +0200
Date: Sun, 24 May 2009 05:34:20 +0200
Message-Id: <87k547gon7.fsf@HIDDEN>
From: "Oscar Fuentes" <ofv@HIDDEN>
To: emacs-pretest-bug@HIDDEN
Subject: 23.0.94; emacs daemon hangs when remote X session closes.
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: Quoted-Printable
X-detected-operating-system: by monty-python.gnu.org: Genre and OS details not recognized.

Start the daemon:

emacs --daemon -Q

On a remote X server, start emacs:

emacsclient -c -n -d myxserver:0

Now, if the X session crashes or the frame is closed without
explicitly requiring emacs to delete it (for instance, closing the
frame with the mouse clicking on the frame `close' button), the daemon
becomes unresponsive. This is what I see on the terminal on the next
attempt to create a new frame:

oscar@qcore:~$ emacsclient -c -n -d acer:0
emacsclient: connect: Connection refused
emacsclient: No socket or alternate editor.  Please use:

        --socket-name
        --server-file      (or environment variable EMACS_SERVER_FILE)
        --alternate-editor (or environment variable ALTERNATE_EDITOR)

Same happens if you try to open a frame on the same machine where the
daemon runs. Emacs is on the list of active processes and you need to
kill it.

If a frame existed on the machine where the daemon runs, it becomes
unresponsive. Any keystroke, mouse click, etc, will produce a 100% cpu
usage for some seconds without further response from emacs.



In GNU Emacs 23.0.94.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.16.1)
 of 2009-05-23 on qcore
Windowing system distributor `The X.Org Foundation', version 11.0.1060000=
0
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  show-paren-mode: t
  diff-auto-refine-mode: t
  iswitchb-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t

Recent input:
C-x b . m e s C-g C-x b m e s s <return> C-x b C-g=20
C-x C-f <C-left> <C-left> <C-left> C-k . e m <tab>=20
<return> C-s ` C-s C-s C-s C-s C-s C-s C-s C-a C-x=20
C-f e r l <tab> <return> <down> <down> <down> <down>=20
<down> <down> <down> <down> <down> <down> <down> <down>=20
<down> <down> C-x b <return> M-< C-s ` C-a M-< M-x=20
o c c u r <return> ` <return> M-x d l e <backspace>=20
<backspace> e l t e SPC f <backspace> <backspace> <backspace>=20
e t e SPC f i <tab> <return> e r <tab> <return> <escape>=20
<escape> <escape> M-x g n u s <return> <up> q y h C-_=20
<f10> <menu-bar> <help-menu> <send-emacs-bug-repor
t>

Recent messages:
Reading active file from archive via nnfolder...done
Generating the cache active file...done
No new newsgroups
Checking new news...
Opening nntp server on news.gmane.org...done
Checking new news...done
No more unread newsgroups
Are you sure you want to quit reading news? (y or n)=20
(No changes need to be saved)
Undo!


;; --=20
;; =C3=93scar



Acknowledgement sent to "Oscar Fuentes" <ofv@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3360; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.